Analytics

User Login

Retrieve login events.

get
https://{your-bynder-domain}/v7/analytics/api/v1/user/login

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MA

fromDateTimestring(date-time)

Retrieve login events occurred after this date. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200

Successful response

get/v7/analytics/api/v1/user/login
 
200

User Activity

Retrieve all the events triggered by a given user.

get
https://{your-bynder-domain}/v7/analytics/api/v1/user/{userId}

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorstring

Cursor mark returned in the response headers to be used for pagination purposes.

Default:MDow

fromDateTimestring(date-time)

Retrieve events triggered by a user occurred after this date. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format: yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Path Parameters

userIdstringrequired

User id.

Example:00000000-0000-0000-0000000000000000

Response

200

Successful response

get/v7/analytics/api/v1/user/{userId}
 
200

Retrieve user creations

get
https://{your-bynder-domain}/v7/analytics/api/v2/user/creations

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve creation events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

createdUserIdstring

Example:2B95E869-3C4B-252G-9G18E82BB2G334CE

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventCountinteger

Example:1

eventIdstring

Example:836280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:UserCreated

sourcestring

Example:portal

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v2/user/creations
 
200 application/json

Retrieve user logins

get
https://{your-bynder-domain}/v7/analytics/api/v2/user/logins

Query Parameters

limitinteger

The maximum number of analytics events to retrieve. Allowed values are between 1 and 10000.

Default:1000

cursorinteger

Cursor mark returned in the response headers to be used for pagination purposes.

Default:0

fromDateTimestring(date-time)

Retrieve login events occurred after this date. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

toDateTimestring(date-time)

Set a date range together with the “fromDateTime” parameter. ISO8601 format yyyy-mm-ddThh:mm[:ssZ] with optional seconds.

Response

200 application/json

Successful response

dateTimestring(date-time)

Example:2021-11-15T10:07:57.781+00:00

eventIdstring

Example:736280dd-b06e-44be-ae9f-85e2661510a1

eventTypestring

Example:UserLogin

userIdstring

Example:1A84D758-2B3A-141F-8F07D71AA1F223BD

get/v7/analytics/api/v2/user/logins
 
200 application/json

Collection Usage

These endpoints return information related to the specific event. You can enrich these events with specific data about the collection or the user by making use of the Collections API endpoints or the Users API endpoints.